/*

 x1541.h

 Written by
  Kajtar Zsolt <soci@c64.rulez.org>

    This file is part of IDEDOS the IDE64 disk operating system
    See README for copyright notice.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#if defined __linux__ || defined __FreeBSD__ || defined __DJGPP__ || defined _WIN32 || defined __CYGWIN__
#ifndef _X1541_H
#define _X1541_H

struct Driver;

extern const struct Driver *x1541_driver(const char *, int, int);
extern const struct Driver *xe1541_driver(const char *, int, int);
extern const struct Driver *xm1541_driver(const char *, int, int);
extern const struct Driver *xa1541_driver(const char *, int, int);
#endif
#endif
